<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:class="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_AsymmetricAccessibility" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" elementFormDefault="qualified" targetNamespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_AsymmetricAccessibility">
<xs:import namespace="http://schemas.dmtf.org/wbem/wscim/1/common" schemaLocation="http://schemas.dmtf.org/wbem/wscim/1/common.xsd"/>
<xs:element name="Antecedent" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Override" type="cim:cimString">Antecedent</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The Port Group.</cim:Qualifier>
<cim:Classorigin name="CIM_AsymmetricAccessibility"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Dependent" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Override" type="cim:cimString">Dependent</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The Storage Resource Load Group.</cim:Qualifier>
<cim:Classorigin name="CIM_AsymmetricAccessibility"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="CurrentAccessState" nillable="true">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">This property indicates the current accessibility state of volumes in the StorageResourceLoadGroup through ports in the TargetPortGroup. With the exception of 'Unavailable', the states are those defined by the T10 SPC-4 Target Port Group Access States clause. 2(Unavailable): The volumes are not accessible in any way. 3(Standby): No data access to the volume is possible. Status and other non-data access commands are available. 4(Active Non-Optimized): Data access to the volume is available at less than full bandwidth. 5(Active Optimized): Data access to the volume is available at full bandwidth.</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="2">Unavailable</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="3">Standby</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="4">Active Non-Optimized</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="5">Active Optimized</cim:Qualifier>
<cim:Classorigin name="CIM_AsymmetricAccessibility"/>
</xs:appinfo>
</xs:annotation>
<xs:complexType>
<xs:simpleContent>
<xs:restriction base="cim:cimUnsignedShort">
<xs:enumeration value="2"/>
<xs:enumeration value="3"/>
<xs:enumeration value="4"/>
<xs:enumeration value="5"/>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:restriction>
</xs:simpleContent>
</xs:complexType>
</xs:element>
<xs:element name="NormalAccessState" nillable="true">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">This property indicates the normal accessibility state of volumes in the StorageResourceLoadGroup through ports in the TargetPortGroup when the primary storage processor hosting the groups is healthy. With the exception of 'Unavailable', the states are those defined by the T10 SPC-4 Target Port Group Access States clause. 2(Unavailable): The volumes are not accessible. 3(Standby): No data access to the volume is possible. Status and other non-data access commands are available. 4(Active Non-Optimized): Data access to the volume is available at less than full bandwidth. 5(Active Optimized): Data access to the volume is available at full bandwidth.</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="2">Unavailable</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="3">Standby</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="4">Active Non-Optimized</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="5">Active Optimized</cim:Qualifier>
<cim:Classorigin name="CIM_AsymmetricAccessibility"/>
</xs:appinfo>
</xs:annotation>
<xs:complexType>
<xs:simpleContent>
<xs:restriction base="cim:cimUnsignedShort">
<xs:enumeration value="2"/>
<xs:enumeration value="3"/>
<xs:enumeration value="4"/>
<xs:enumeration value="5"/>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:restriction>
</xs:simpleContent>
</xs:complexType>
</xs:element>
<xs:element name="CIM_AsymmetricAccessibility" type="class:CIM_AsymmetricAccessibility_Type">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Class name="CIM_AsymmetricAccessibility" superclass="CIM_Dependency"/>
<cim:Qualifier name="Association" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Version" type="cim:cimString">2.45.0</cim:Qualifier>
<cim:Qualifier name="UMLPackagePath" type="cim:cimString">CIM::Device::StorageServices</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">This association indicates the accessibility of StorageVolumes in the StorageResourceLoadGroup through ports in the associated TargetPortGroup.</cim:Qualifier>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:complexType name="CIM_AsymmetricAccessibility_Type">
<xs:sequence>
<xs:element ref="class:Antecedent"/>
<xs:element minOccurs="0" ref="class:CurrentAccessState"/>
<xs:element ref="class:Dependent"/>
<xs:element minOccurs="0" ref="class:NormalAccessState"/>
<xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
</xs:sequence>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:complexType>
</xs:schema>
